Dazuko compiles fine (or was shipped with my operating system) but doesn work correctly on my 64-bit machine. What is wrong?

0
Posted

Dazuko compiles fine (or was shipped with my operating system) but doesn work correctly on my 64-bit machine. What is wrong?

0

In versions up to and including 2.0 it was important that the kernel module and the IO library are built with the same bit width and endianess. Dazuko 2.1.0 introduced the so called REQSTREAM feature to support mixed bit width and/or endianess between applications and the kernel module. This allows you to run 32-bit applications on 64-bit kernels. Running Dazuko-based 32-bit applications on 64-bit GNU/Linux and FreeBSD systems requires Dazuko (kernel module and IO-library) version 2.1.0 or above. Otherwise the applications won’t work and may even crash the system. If you are having problems, then you probably have an older Dazuko kernel module and/or a 32-bit application that was compiled with an older Dazuko IO library.